Skip to content
WP Engine Documentation

List site transfers for an account

GET
/accounts/{account_id}/site_transfers

Description

Returns a paginated list of site transfers initiated from the given account. Requires Owner or Full with Billing access.

Note: This endpoint represents the state of Sites at time of transfer, not necessarily the current Site name or environments.

account_id
required
string format: uuid

ID of account

limit
integer
default: 100 <= 100

(Optional) The number of records to return

offset
integer
0

(Optional) The first record of the result set to be retrieved

List of site transfers for the account

object
previous

Path to the previous page of results

string
Example
https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=0
next

Path to the next page of results

string
Example
https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=200
count

The total number of results

integer
Example
225
results
Array<object>
object
id
required

Unique identifier for the site transfer

string format: uuid
Example
7c3e1a2b-4f5d-4e6c-b7a8-d9e0f1a2b3c4
site
required

Name of the site being transferred (as it was at time of transfer)

string
Example
my-wordpress-site
installs
required

Names of the installs associated with the site at time of transfer

Array<string>
Example
[
"mysite",
"mysitestg"
]
origin_account
required

Name of the account the site is transferring from

string
Example
Acme Corp
destination_account
required

Name of the account the site is transferring to

string
Example
New Owner Inc
status
required

Current status of the transfer

string
Allowed values: pending scheduled in_progress completed failed cancelled
Example
scheduled
scheduled_time

The time at which the transfer is scheduled to execute. Null for immediate transfers.

string format: date-time
Example
2026-06-01T14:30:00Z
created_at
required

Timestamp when the transfer was created

string format: date-time
Example
2026-05-15T10:00:00Z
updated_at
required

Timestamp when the transfer was last updated

string format: date-time
Example
2026-05-15T10:05:00Z

Bad Request

object
message
required

A message regarding the error that occurred on the server

string
Example
Invalid Site: Name cannot be empty.
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
Example
Site
field
required

(Optional) The specific field associated with the error

string
Example
name
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
Example
invalid_value
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
Example
too_long
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
Name is too long (maximum is 40 characters)

Authentication Error

object
message
required

A message regarding the error that occurred on the server

string
Example
Bad Credentials
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Not authorized

object
message
required

A message regarding the error that occurred on the server

string
Example
You don't have permission to perform that action
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Not found

object
message
required

A message regarding the error that occurred on the server

string
Example
Not Found
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Too many requests

Internal Server Error

object
message
required

A message regarding the error that occurred on the server

string
Example
An unexpected error occurred, please try again in a few minutes

Service unavailable